Subject: [rbridge] Ingress Rbridge address and BCN - 2nd Issue

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Fri, 27 Oct 2006 18:58:07 -0400

Larry,

	It is not simply a case of flipping the SHIM, the MAC header
of the original (BCN triggering) frame has to be flipped as well -
i.e. the "core Rbridge" has to move the MAC SA of the original frame
to the MAC DA of the BCN, insert its own MAC as the MAC SA, insert
appropriate values in some other fields, and perform an required
"frame maintenance" activities that may be required (length, FCS, 
etc.).

	If all of that is done, then I agree with your contention
that having the ingress RBridge ID in the SHIM would help to get
the newly originated frame to the appropriate (now) egress RBridge.
This is a non-trivial "if."

--
Eric

--> -----Original Message-----
--> From: Larry Kreeger (kreeger) [mailto:kreeger at cisco.com] 
--> Sent: Friday, October 27, 2006 6:06 PM
--> To: Caitlin Bestler; Gray, Eric
--> Cc: rbridge at postel.org
--> Subject: RE: [rbridge] Ingress Rbridge address and BCN - 2nd Issue
--> 
--> 
--> Caitlin Bestler wrote on Friday, October 27, 2006 2:55 PM:
--> 
--> > Larry Kreeger, responding to Eric Gray, wrote:
--> >>> 
--> >>> 1) Flooding will only occur when a specific RBridge has 
--> removed (due
--> >>> to aging, for example), or failed to retain, an entry it
--> >>> subsequently needs. This kind of flooding could occur 
--> in any case
--> >>> (although it might involve a smaller subset of the 
--> entire network).
--> >> 
--> >> I understand that this will occur when an edge RBridge 
--> does not have
--> >> an entry, but I assume that this will be a fairly rare condition.
--> >> Also, I am expecting the number of flows through an edge 
--> RBridge to
--> >> be much less than throught a core RBridge, such that the 
--> number of
--> >> MAC addresses entries needed would be much less at an 
--> edge RBridge. 
--> >> If a core RBridge did not have a larger table, then it could get
--> >> easily filled which would require flooding of the BCNs much more
--> >> than would occur naturally at an edge RBridge.
--> >> 
--> > More fundamentally, the egress rbridge will in most case also
--> > encapsulate the reverse-bound frames, and so will have 
--> had a reason
--> > to note the mac->rbridge mapping in the first place. A 
--> "core rbridge"
--> > would not have forgotten the mapping, it would have never 
--> looked for
--> > it in the first place. Table size is irrelevant.   
--> 
--> Caitlin,
--> 
--> I agree with you (I think).  Core RBridges should not need 
--> to populate a
--> MAC table just in case they need to generate a BCN.  Given 
--> that, we have
--> two choices.  Either flood the BCN (which I don't like at 
--> all), or add
--> the source RBridge so it can be simply copied to the 
--> destination RBridge
--> of the BCN (which I do like).
--> 
-->  - Larry
-->